## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeResourceImpl.StackFrame

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.StackFrame

Direct Known Subclasses:
  XMLTypeResourceImpl.DataFrame, XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame, XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame, XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame, XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame

Enclosing class:
  XMLTypeResourceImpl

    public abstract static class XMLTypeResourceImpl.StackFrame

extends java.lang.Object

Constructor Summary
`XMLTypeResourceImpl.StackFrame()`

Method Summary
`void` `characters(char[] text, int start, int length)`
`void` `create()`
`XMLTypeResourceImpl.StackFrame` `endElement()`
`void` `endElement(XMLTypeResourceImpl.StackFrame child)`
`void` `handleAttributes(org.xml.sax.Attributes attributes)`
`void` `pop()`
`void` `pushOnto(XMLTypeResourceImpl.StackFrame previous)`
`XMLTypeResourceImpl.StackFrame` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTypeResourceImpl.StackFrame

    public XMLTypeResourceImpl.StackFrame()

Method Detail

### pushOnto

    public final void pushOnto(XMLTypeResourceImpl.StackFrame previous)

### pop

    public final void pop()

### handleAttributes

    public void handleAttributes(org.xml.sax.Attributes attributes)

### startElement

    public XMLTypeResourceImpl.StackFrame startElement(java.lang.String uri,
                                                       java.lang.String localName,
                                                       java.lang.String qName,
                                                       org.xml.sax.Attributes attributes)
                                                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(XMLTypeResourceImpl.StackFrame child)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public final XMLTypeResourceImpl.StackFrame endElement()
                                                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] text,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### create

    public void create()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.